
package de.ivu.elect.was.exchange.ergebnis;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.was.exchange.ergebnis.eml.Eml510bPSBErgebnisExportMapper;

/**
 * @see NlWasModelIIMainDocumentExportMapper
 * @see NlWasModelIIBijlage1DocumentExportMapper
 * @see NlWasModelIIEml510dExportMapper
 * @see NlWasModelIIOsv43CsvExportMapper
 */
public class NlWasModelIIEml510bExportMapper extends AbstractNlWasModelIIEml510xExportMapper {

  @Inject
  private transient Eml510bPSBErgebnisExportMapper eml510bPSBErgebnisExportMapper;

  public NlWasModelIIEml510bExportMapper() {
    super();
  }

  @Override
  protected boolean isEmlExportMapperAcceptContextOverridden(NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext context) {
    return NlWahlart.GEMEENTERAAD.equalsWahlart(context.getWahl()); // ELECTVAPP-614, cf. NlWasModelN11Eml510bExportMapper
  }

  @Override
  protected Eml510bPSBErgebnisExportMapper getEmlExportMapper() {
    return eml510bPSBErgebnisExportMapper;
  }
}
